iOS 7 on Unsupported Devices?

Discussion in 'iOS 7' started by AwesomeQ, Feb 20, 2018.

  1. AwesomeQ macrumors newbie

    AwesomeQ

    Joined:
    Jan 31, 2018
    #1
    Ever since Steve Jobs died, Apple has been screwing with its customers, forcing them to either stick with an older version of iOS because their device is "incompatible" with the latest version (bull crap) or upgrade to the later device version. I said, "screw this", and am looking for ways to upgrade my iPod Touch 4th Generation to iOS 7 or even later. Please help, if you are able, as Apple needs to stop doing this.
     
  2. chrfr macrumors 604

    Joined:
    Jul 11, 2009
    #2
    There is no way to do what you're looking to accomplish. Apple does not write a version of newer operating systems for older devices.
     
  3. AwesomeQ thread starter macrumors newbie

    AwesomeQ

    Joined:
    Jan 31, 2018
    #3
    But there are ways to upgrade unsupported Macs to later versions, but it's not what Apple had in mind.
     
  4. chrfr macrumors 604

    Joined:
    Jul 11, 2009
    #4
    iOS devices are not Macs. It's not possible.
     

Share This Page

3 February 20, 2018